Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Redis Buffer Overflow Vulnerability

Information

Severity

Severity

Medium

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

4.6

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:L/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

4 years ago

Modified

Modified

3 years ago

Summary

This host is running Redis and is prone to buffer overflow vulnerability.

Insight

Insight

The flaw exists due to a buffer overflow error in redis-cli of Redis.

Affected Software

Affected Software

Redis versions before 4.0.10 and 5.x before 5.0 RC3

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to Redis version 4.0.10 or 5.0 RC3 or later. Please see the references for more information.

Common Vulnerabilities and Exposures (CVE)